¿Cómo hacer que virtualenv funcione después de actualizar a Lion?

Acabo de actualizar de SnowLeapord a Lion y ahora no puedo crear virtualesenvs. Entiendo que hay nuevas instalaciones de Python después de la actualización y no hay paquetes de sitio y he intentado instalar pip y virtualenv nuevamente, así como la actualización a Xcode4, pero siempre recibo este error:

~ > virtualenv --distribute env New python executable in env/bin/python Installing distribute........ Complete output from command /Users/jaderberg/env/bin/python -c "#!python \"\"\"Bootstra... main(sys.argv[1:]) " --always-copy -U distribute: Traceback (most recent call last): File "", line 23, in  File "/Users/jaderberg/env/lib/python2.7/distutils/__init__.py", line 16, in  exec(open(os.path.join(distutils_path, '__init__.py')).read()) IOError: [Errno 2] No such file or directory: 'System/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/distutils/__init__.py' ---------------------------------------- ...Installing distribute...done. Traceback (most recent call last): File "/usr/local/bin/virtualenv", line 9, in  load_entry_point('virtualenv==1.7.2', 'console_scripts', 'virtualenv')() File "/Library/Python/2.7/site-packages/virtualenv-1.7.2-py2.7.egg/virtualenv.py", line 942, in main never_download=options.never_download) File "/Library/Python/2.7/site-packages/virtualenv-1.7.2-py2.7.egg/virtualenv.py", line 1049, in create_environment search_dirs=search_dirs, never_download=never_download) File "/Library/Python/2.7/site-packages/virtualenv-1.7.2-py2.7.egg/virtualenv.py", line 603, in install_distribute search_dirs=search_dirs, never_download=never_download) File "/Library/Python/2.7/site-packages/virtualenv-1.7.2-py2.7.egg/virtualenv.py", line 570, in _install_req cwd=cwd) File "/Library/Python/2.7/site-packages/virtualenv-1.7.2-py2.7.egg/virtualenv.py", line 1020, in call_subprocess % (cmd_desc, proc.returncode)) OSError: Command /Users/jaderberg/env/bin/python -c "#!python \"\"\"Bootstra... main(sys.argv[1:]) " --always-copy -U distribute failed with error code 1 

Soy un poco novato en Unix / Python y simplemente no puedo averiguar cómo hacer que esto funcione. ¿Algunas ideas? Sin usar la etiqueta –distribute me sale este error:

 ~ > virtualenv env New python executable in env/bin/python Installing setuptools............. Complete output from command /Users/jaderberg/env/bin/python -c "#!python \"\"\"Bootstra...sys.argv[1:]) " /Library/Python/2.7/...ols-0.6c11-py2.7.egg: Traceback (most recent call last): File "", line 279, in File "", line 207, in main File "/Library/Python/2.7/site-packages/distribute-0.6.27-py2.7.egg/setuptools/__init__.py", line 2, in from setuptools.extension import Extension, Library File "/Library/Python/2.7/site-packages/distribute-0.6.27-py2.7.egg/setuptools/extension.py", line 2, in import distutils.core File "/Users/jaderberg/env/lib/python2.7/distutils/__init__.py", line 16, in exec(open(os.path.join(distutils_path, '__init__.py')).read()) IOError: [Errno 2] No such file or directory: '/System/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/distutils/__init__.py' ---------------------------------------- ...Installing setuptools...done. Traceback (most recent call last): File "/usr/local/bin/virtualenv", line 9, in load_entry_point('virtualenv==1.7.2', 'console_scripts', 'virtualenv')() File "/Library/Python/2.7/site-packages/virtualenv-1.7.2-py2.7.egg/virtualenv.py", line 942, in main never_download=options.never_download) File "/Library/Python/2.7/site-packages/virtualenv-1.7.2-py2.7.egg/virtualenv.py", line 1052, in create_environment search_dirs=search_dirs, never_download=never_download) File "/Library/Python/2.7/site-packages/virtualenv-1.7.2-py2.7.egg/virtualenv.py", line 598, in install_setuptools search_dirs=search_dirs, never_download=never_download) File "/Library/Python/2.7/site-packages/virtualenv-1.7.2-py2.7.egg/virtualenv.py", line 570, in _install_req cwd=cwd) File "/Library/Python/2.7/site-packages/virtualenv-1.7.2-py2.7.egg/virtualenv.py", line 1020, in call_subprocess % (cmd_desc, proc.returncode)) OSError: Command /Users/jaderberg/env/bin/python -c "#!python \"\"\"Bootstra...sys.argv[1:]) " /Library/Python/2.7/...ols-0.6c11-py2.7.egg failed with error code 1 

Resulta que, aunque actualicé Xcode a la versión 4, no instala automáticamente las herramientas de la línea de comandos. Seguí este http://blog.cingusoft.org/mac-osx-lion-virtualenv-and-could-not-call-in .

Básicamente, instale Xcode, vaya a Preferencias y luego a Descargas e instale “Herramientas de línea de comandos”. Ahora funciona.

Las herramientas de la línea de comandos también están disponibles directamente desde https://developer.apple.com/downloads/index.action#

También tuve que actualizar mis herramientas de configuración.

pip install setuptools --upgrade

 cd /usr/lib/python2.7 sudo ln -s plat-x86_64-linux-gnu/_sysconfigdata_nd.py .